//SPDX-FileCopyrightText: 2024 Yury Gubich <blue@macaw.me>
//SPDX-License-Identifier: GPL-3.0-or-later

#pragma once

#include <memory>

#include "handler.h"

class Server;
namespace Handler {
class ListAssets : public Handler::Handler {
public:
    ListAssets (std::weak_ptr<Server> server);
    void handle (Request& request) override;

    static void error (Request& request, Response::Status status);
private:
    std::weak_ptr<Server> server;
};
}
